%global _empty_manifest_terminate_build 0
%global pypi_name flit-scm
%global source_name flit_scm

Name:           python-%{pypi_name}
Version:        1.7.0
Release:        1
Summary:        A PEP 518 build backend that uses setuptools_scm and flit_core to build the package.


License:        MIT
URL:            https://gitlab.com/WillDaSilva/flit_scm
Source0:        https://files.pythonhosted.org/packages/e2/99/961b062461652435b6ad9042d2ffdd75e327b36936987c2073aa784334d5/flit_scm-1.7.0.tar.gz
Patch1:         0001-modify-the-operator-of-version-required-to-gt.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-flit
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:	python3-editables
BuildRequires:	python3-hatch-vcs
BuildRequires:	python3-hatchling
BuildRequires:	python3-virtualenv

%description
A PEP 518 build backend that uses setuptools_scm and flit_core to build the package.


%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
A PEP 518 build backend that uses setuptools_scm and flit_core to build the package.


%prep
%autosetup -p1 -n %{source_name}-%{version}

%build
%pyproject_build

%install
%pyproject_install

%files -n python3-%{pypi_name}
%doc README.md
%license LICENSE
%{python3_sitelib}/%{source_name}-*.dist-info/
%{python3_sitelib}/%{source_name}

%changelog
* Wed Jun 21 2023 Dongxing Wang <dxwangk@isoftstone.com> - 1.7.0-1
- Initial package to version 1.7.0 for exceptiongroup import
